petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoLineSearchRegister

Adds a line-search algorithm to the registry

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchRegister(const char sname[], PetscErrorCode (*func)(TaoLineSearch))

Not collective

### Input Parameters

| sname | - name of a new user-defined solver
| func | - routine to Create method context

### Notes

TaoLineSearchRegister() may be called multiple times to add several user-defined solvers.

### Sample usage

       TaoLineSearchRegister("my_linesearch",MyLinesearchCreate);

Then, your solver can be chosen with the procedural interface via

        TaoLineSearchSetType(ls,"my_linesearch")

or at runtime via the option

        -tao_ls_type my_linesearch

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages